(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     12314,        289]
NotebookOptionsPosition[     11355,        265]
NotebookOutlinePosition[     11728,        281]
CellTagsIndexPosition[     11685,        278]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[
 RowBox[{"SetDirectory", "[", 
  RowBox[{"NotebookDirectory", "[", "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.7833326447460084`*^9, 3.7833326508040285`*^9}, {
  3.788689019449378*^9, 3.7886890314499187`*^9}, {3.789650053031558*^9, 
  3.789650080027717*^9}, {3.78965014122308*^9, 3.789650146593113*^9}, {
  3.7935158250236216`*^9, 3.7935158298986416`*^9}},
 CellLabel->"In[11]:=",ExpressionUUID->"6de73840-f84e-44f6-8bdb-8f61f4e3dd6f"],

Cell[BoxData["\<\"C:\\\\Chaozhi\\\\Workspace\\\\JuliaWorkspace\\\\Workspace_\
Polyploid\\\\PolyOrigin\\\\docs\\\\run_polyOrigin\"\>"], "Output",
 CellChangeTimes->{
  3.806139952250495*^9, 3.8160727857913303`*^9, 3.8160776960871367`*^9, 
   3.8160781395695677`*^9, 3.816080131668239*^9, {3.816405854996319*^9, 
   3.816405914172035*^9}, {3.816406025476261*^9, 3.8164060353565464`*^9}, {
   3.8164067112414775`*^9, 3.816406718464675*^9}, {3.8164102443208838`*^9, 
   3.816410258310128*^9}},
 CellLabel->"Out[11]=",ExpressionUUID->"ec0435b1-b73e-4910-8d2c-723ecb2c5636"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"localdisturb", "[", 
   RowBox[{
    RowBox[{"geno_", "?", "MatrixQ"}], ",", "std_"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
     "nsnp", ",", "noise", ",", "bef", ",", "postorder", ",", "postgeno"}], 
     "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"nsnp", "=", 
      RowBox[{
       RowBox[{"Length", "[", "geno", "]"}], "-", "1"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"If", "[", 
      RowBox[{
       RowBox[{"std", "\[Equal]", "0"}], ",", 
       RowBox[{"noise", "=", "0"}], ",", 
       RowBox[{"noise", "=", 
        RowBox[{"RandomReal", "[", 
         RowBox[{
          RowBox[{"NormalDistribution", "[", 
           RowBox[{"0", ",", 
            RowBox[{"std", "^", "2"}]}], "]"}], ",", "nsnp"}], "]"}]}]}], 
      "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"bef", " ", "=", " ", 
      RowBox[{"Range", "[", "nsnp", "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"postorder", "=", 
      RowBox[{"Ordering", "[", 
       RowBox[{"bef", "+", "noise"}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"postgeno", "=", 
      RowBox[{"geno", "[", 
       RowBox[{"[", 
        RowBox[{"Join", "[", 
         RowBox[{
          RowBox[{"{", "1", "}"}], ",", 
          RowBox[{"1", "+", "postorder"}]}], "]"}], "]"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"postgeno", "[", 
       RowBox[{"[", 
        RowBox[{
         RowBox[{"2", ";;"}], ",", "3"}], "]"}], "]"}], "=", 
      RowBox[{"geno", "[", 
       RowBox[{"[", 
        RowBox[{
         RowBox[{"2", ";;"}], ",", "3"}], "]"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"postgeno", ",", "postorder"}], "}"}]}]}], 
   "\[IndentingNewLine]", "]"}]}]], "Input",
 CellChangeTimes->{
  3.7886895047909746`*^9, {3.788689888193857*^9, 3.7886899049471817`*^9}, {
   3.7892117269765725`*^9, 3.7892117300805974`*^9}},
 CellLabel->"In[12]:=",ExpressionUUID->"10447225-f312-4f3a-9860-fa91ce0a3177"],

Cell[BoxData[
 RowBox[{
  RowBox[{"localdisturb", "[", 
   RowBox[{
    RowBox[{"dataid_", "?", "StringQ"}], ",", "std_"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
     "geno", ",", "postgeno", ",", "postorder", ",", "outfile", ",", "ls", 
      ",", "tau", ",", "g"}], "}"}], ",", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"geno", "=", 
      RowBox[{"Import", "[", 
       RowBox[{"dataid", "<>", "\"\<geno.csv\>\""}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"postgeno", ",", "postorder"}], "}"}], "=", " ", 
      RowBox[{"localdisturb", "[", 
       RowBox[{"geno", ",", "std"}], "]"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"outfile", "=", 
      RowBox[{"dataid", "<>", "\"\<geno_disturbed.csv\>\""}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"Export", "[", 
      RowBox[{"outfile", ",", "postgeno"}], "]"}], ";", "\[IndentingNewLine]", 
     RowBox[{"ls", "=", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Range", "[", 
         RowBox[{"Length", "[", "postorder", "]"}], "]"}], ",", "postorder"}],
        "}"}]}], ";", "\[IndentingNewLine]", 
     RowBox[{"tau", "=", 
      RowBox[{"N", "[", 
       RowBox[{"KendallTau", "[", 
        RowBox[{"Sequence", "@@", "ls"}], "]"}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"g", "=", 
      RowBox[{"ListPlot", "[", 
       RowBox[{"ls", ",", 
        RowBox[{"PlotLabel", "\[Rule]", 
         RowBox[{"\"\<tau=\>\"", "<>", 
          RowBox[{"ToString", "[", "tau", "]"}]}]}]}], "]"}]}], ";", 
     "\[IndentingNewLine]", 
     RowBox[{"{", 
      RowBox[{"tau", ",", "outfile", ",", "g"}], "}"}]}]}], 
   "\[IndentingNewLine]", "]"}]}]], "Input",
 CellChangeTimes->{{3.7892113382504306`*^9, 3.789211411569029*^9}, {
  3.7892117124354553`*^9, 3.7892117141144657`*^9}, {3.7896515615233717`*^9, 
  3.789651654338933*^9}, {3.790053931297035*^9, 3.7900540225573435`*^9}, {
  3.7901383516709843`*^9, 3.7901383730611415`*^9}, {3.793515864340785*^9, 
  3.793515960584179*^9}, {3.7935160017683477`*^9, 3.793516004060357*^9}, {
  3.793518341291866*^9, 3.7935183414688654`*^9}, {3.793518414163143*^9, 
  3.7935184296192017`*^9}, {3.8009649701207113`*^9, 3.80096500912391*^9}, {
  3.801027329761245*^9, 3.801027339183173*^9}, {3.816072669168409*^9, 
  3.8160727307132826`*^9}, {3.8164058516572227`*^9, 3.8164058520222273`*^9}},
 CellLabel->"In[13]:=",ExpressionUUID->"d7014c84-5790-408e-9f8a-51cc95b2c4bd"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"dataid", "=", "\"\<\>\""}], "\[IndentingNewLine]", 
 RowBox[{"localdisturb", "[", 
  RowBox[{"dataid", ",", "2.4"}], "]"}]}], "Input",
 CellChangeTimes->{{3.7935159674752073`*^9, 3.7935159984403296`*^9}, {
   3.793518337747855*^9, 3.793518380775016*^9}, {3.800972371750519*^9, 
   3.800972393875592*^9}, 3.8010246178093786`*^9, {3.80102734983951*^9, 
   3.801027350026993*^9}, {3.806139949547467*^9, 3.8061399562355347`*^9}, 
   3.8160727887024183`*^9, {3.8164058590274353`*^9, 3.8164058730558367`*^9}, {
   3.8164067163796177`*^9, 3.8164067170946393`*^9}, {3.816410241583832*^9, 
   3.8164102571741066`*^9}},
 CellLabel->"In[14]:=",ExpressionUUID->"3b9426a7-e996-44e9-8c75-208f414095ee"],

Cell[BoxData["\<\"\"\>"], "Output",
 CellChangeTimes->{{3.793518350240899*^9, 3.793518364466955*^9}, 
   3.7935184355212293`*^9, 3.7935520893169594`*^9, 3.8009651097934246`*^9, 
   3.800968056683238*^9, {3.8009723645473676`*^9, 3.8009724177037945`*^9}, 
   3.8010246145303493`*^9, 3.801025790218367*^9, {3.801027324979944*^9, 
   3.8010273514020004`*^9}, 3.806139952541498*^9, 3.8160727860533476`*^9, 
   3.8160776964401464`*^9, 3.8160781398845677`*^9, 3.8160801320152445`*^9, {
   3.816405855324333*^9, 3.8164059144100375`*^9}, {3.8164060258882737`*^9, 
   3.8164060355915575`*^9}, {3.8164067116124926`*^9, 3.816406718679679*^9}, {
   3.8164102447688904`*^9, 3.8164102585661364`*^9}},
 CellLabel->"Out[14]=",ExpressionUUID->"2cbf1419-6a82-4d44-b747-17ecda088935"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"0.9028011204481793`", ",", "\<\"geno_disturbed.csv\"\>", ",", 
   GraphicsBox[{{}, {{
       {RGBColor[0.368417, 0.506779, 0.709798], PointSize[
        0.009166666666666668], AbsoluteThickness[1.6], 
        PointBox[CompressedData["
1:eJxdxTdKBmAYBOHFytLCwsJCRURExJzDa87pN8dCsLa13KN9R/IIKoKwMzA8
g28fnfcuSZ8///rX10aqSrthD+yFfbAfDsAhOAxH4Cgcg+NwAk7CKTgNZ+As
nIPzcAEuwiW4DFfgKlyD63ADVmqozdRQW6mhtlND7aSG2k0NtZcaaj811EFq
qMPUUEepoY5TQ52khjpNDXWWGuo8NdRFWtCwQV2mBQ0bVCctaNigrtKChg3q
Oi1o2KBu0oKGDeo2LWjYoO7SgoYN6j4taNigHtKChg3qMS1o2KCe0oKGDeo5
LWjYoF7SgoYN6vXfb9u7vJg=
         "]]}, 
       {RGBColor[0.880722, 0.611041, 0.142051], PointSize[
        0.009166666666666668], AbsoluteThickness[1.6], 
        PointBox[CompressedData["
1:eJx1j7tOglEQhDdWlhYWFhRqjDHGGMX7laOIoCgCP3LHwsTa1vI82nkkH0EM
M38yK5L8+bJzdmaHtffP9seCmX1Nv1/Oft+lGRcDhDBfXwGXwC1wGVx3eztg
AdwAV90d+jbdXsHp9Pm72+Ceu7sP7rre3Dt0e6dg0fkOwCPnKzqdPY4dT8BL
d+cKPHN7506/mDEGl8NeyIllzNfqs5LLDbrH3FiBfqOMnJlzC1bxzpm5ZdXz
XnfKWAOpM6eid/NezLlXRpI5VZdT1T2rKdnDHpTR0R4dG3jn3ATr4BPe69rj
j47ZXsBnzY2cG3qXd6hzjznRMbW1Z2iB7M07Te2Vmm6vpXt5DvIj3zP4W5pj
2AuZ+uwVvrYy740cy/QOc3Kd7MDPGflGnX6/19GeqaM+9qQvMLerd6gnvvd1
j7mBM/1d9VG3npK+QH0AP+aIe6mnOntE7AfuDdSX9+grzfkC5jR0uUPNDWP4
qfd0LzraSHPTSHX+70Cdfr4P1Bcn2GOPifYKmCNn3h/P96V/fLyTHO1NOe35
AxkKvJg=
         "]]}}, {
       {RGBColor[0.368417, 0.506779, 0.709798], PointSize[
        0.009166666666666668], AbsoluteThickness[1.6]}, 
       {RGBColor[0.880722, 0.611041, 0.142051], PointSize[
        0.009166666666666668], AbsoluteThickness[1.6]}, {}, {}, {}}, {
       {RGBColor[0.368417, 0.506779, 0.709798], PointSize[
        0.009166666666666668], AbsoluteThickness[1.6]}, 
       {RGBColor[0.880722, 0.611041, 0.142051], PointSize[
        0.009166666666666668], AbsoluteThickness[
        1.6]}, {}, {}, {}}}, {{}, {}}},
    AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
    Axes->{True, True},
    AxesLabel->{None, None},
    AxesOrigin->{0., 0},
    DisplayFunction->Identity,
    Frame->{{False, False}, {False, False}},
    FrameLabel->{{None, None}, {None, None}},
    FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
    GridLines->{None, None},
    GridLinesStyle->Directive[
      GrayLevel[0.5, 0.4]],
    Method->{
     "OptimizePlotMarkers" -> True, 
      "CoordinatesToolOptions" -> {"DisplayFunction" -> ({
          (Identity[#]& )[
           Part[#, 1]], 
          (Identity[#]& )[
           Part[#, 2]]}& ), "CopiedValueFunction" -> ({
          (Identity[#]& )[
           Part[#, 1]], 
          (Identity[#]& )[
           Part[#, 2]]}& )}},
    PlotLabel->FormBox["\"tau=0.902801\"", TraditionalForm],
    PlotRange->{{0., 120.}, {0, 120.}},
    PlotRangeClipping->True,
    PlotRangePadding->{{
       Scaled[0.02], 
       Scaled[0.02]}, {
       Scaled[0.02], 
       Scaled[0.05]}},
    Ticks->{Automatic, Automatic}]}], "}"}]], "Output",
 CellChangeTimes->{{3.793518350240899*^9, 3.793518364466955*^9}, 
   3.7935184355212293`*^9, 3.7935520893169594`*^9, 3.8009651097934246`*^9, 
   3.800968056683238*^9, {3.8009723645473676`*^9, 3.8009724177037945`*^9}, 
   3.8010246145303493`*^9, 3.801025790218367*^9, {3.801027324979944*^9, 
   3.8010273514020004`*^9}, 3.806139952541498*^9, 3.8160727860533476`*^9, 
   3.8160776964401464`*^9, 3.8160781398845677`*^9, 3.8160801320152445`*^9, {
   3.816405855324333*^9, 3.8164059144100375`*^9}, {3.8164060258882737`*^9, 
   3.8164060355915575`*^9}, {3.8164067116124926`*^9, 3.816406718679679*^9}, {
   3.8164102447688904`*^9, 3.816410258881138*^9}},
 CellLabel->"Out[15]=",ExpressionUUID->"832b110b-875a-42a5-9523-f080d949711b"]
}, Open  ]]
},
WindowSize->{1540, 825},
WindowMargins->{{-8, Automatic}, {Automatic, 0}},
Magnification:>1.25 Inherited,
FrontEndVersion->"12.0 for Microsoft Windows (64-bit) (April 8, 2019)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 451, 7, 35, "Input",ExpressionUUID->"6de73840-f84e-44f6-8bdb-8f61f4e3dd6f"],
Cell[1034, 31, 568, 8, 40, "Output",ExpressionUUID->"ec0435b1-b73e-4910-8d2c-723ecb2c5636"]
}, Open  ]],
Cell[1617, 42, 2055, 56, 228, "Input",ExpressionUUID->"10447225-f312-4f3a-9860-fa91ce0a3177"],
Cell[3675, 100, 2496, 56, 252, "Input",ExpressionUUID->"d7014c84-5790-408e-9f8a-51cc95b2c4bd"],
Cell[CellGroupData[{
Cell[6196, 160, 713, 11, 60, "Input",ExpressionUUID->"3b9426a7-e996-44e9-8c75-208f414095ee"],
Cell[6912, 173, 764, 10, 40, "Output",ExpressionUUID->"2cbf1419-6a82-4d44-b747-17ecda088935"],
Cell[7679, 185, 3660, 77, 182, "Output",ExpressionUUID->"832b110b-875a-42a5-9523-f080d949711b"]
}, Open  ]]
}
]
*)

